Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518846 - Unexpected Error Encountered message when clicking Default button on any Requests page
Summary: Unexpected Error Encountered message when clicking Default button on any Req...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 1525167
TreeView+ depends on / blocked
 
Reported: 2017-11-29 16:12 UTC by Brant Evans
Modified: 2018-06-21 21:19 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1525167 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:19:55 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Screenshot from after "Default" button clicked (deleted)
2017-11-29 16:12 UTC, Brant Evans
no flags Details

Description Brant Evans 2017-11-29 16:12:33 UTC
Created attachment 1360431 [details]
Screenshot from after "Default" button clicked

Description of problem:
Clicking the "Default" button produces an error of:

undefined method `data' for {}:Hash [miq_request/prov_button]


Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Services => Requests, or Compute => Infrastructure => Requests, or Automation => Automate => Requests
2. Click the "Default" button
3.

Actual results:
Error page displayed

Expected results:
Request filters are reset to default

Additional info:

Comment 7 Harpreet Kataria 2017-12-11 16:37:03 UTC
https://github.com/ManageIQ/manageiq-ui-classic/pull/2830


Note You need to log in before you can comment on or make changes to this bug.